import { jsx } from "react/jsx-runtime";
import { TokenJOP as TokenJOP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenJOP = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "JOP", "data-name": "TokenJOP", ...props, children: /* @__PURE__ */ jsx(TokenJOP$1, { variant }) });
  }
);
TokenJOP.displayName = "TokenJOP";
Object.assign(TokenJOP, { isGdsIcon: true });
export {
  TokenJOP
};
